type LoadAxoOptionsMetaData = {
    bundleIdOverride?: string;
};
export type GenerateAssetUrlParams = {
    assetPath: string;
    bundleId?: string;
};
export type LoadAxoOptions = {
    platform: AxoSupportedPlatform;
    btSdkVersion: string;
    minified?: boolean;
    metadata?: LoadAxoOptionsMetaData;
};
export declare const AxoSupportedPlatforms: {
    readonly BT: "BT";
    readonly PPCP: "PPCP";
};
export type AxoSupportedPlatform = keyof typeof AxoSupportedPlatforms;
export {};
