type LoadAxoOptionsMetaData = {
  bundleIdOverride?: string;
};

export type GenerateAssetUrlParams = {
  assetPath: string;
  bundleId?: string;
};

export type LoadAxoOptions = {
  platform: AxoSupportedPlatform;
  btSdkVersion: string;
  minified?: boolean;
  metadata?: LoadAxoOptionsMetaData;
};

export const AxoSupportedPlatforms = {
  BT: "BT",
  PPCP: "PPCP",
} as const;

export type AxoSupportedPlatform = keyof typeof AxoSupportedPlatforms;
